import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common.js";
export interface VRFV2WrapperInterfaceInterface extends utils.Interface {
    functions: {
        "calculateRequestPrice(uint32)": FunctionFragment;
        "estimateRequestPrice(uint32,uint256)": FunctionFragment;
        "lastRequestId()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "calculateRequestPrice" | "estimateRequestPrice" | "lastRequestId"): FunctionFragment;
    encodeFunctionData(functionFragment: "calculateRequestPrice", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "estimateRequestPrice", values: [BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "lastRequestId", values?: undefined): string;
    decodeFunctionResult(functionFragment: "calculateRequestPrice", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "estimateRequestPrice", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastRequestId", data: BytesLike): Result;
    events: {};
}
export interface VRFV2WrapperInterface extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: VRFV2WrapperInterfaceInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        calculateRequestPrice(_callbackGasLimit: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        estimateRequestPrice(_callbackGasLimit: BigNumberish, _requestGasPriceWei: BigNumberish, overrides?: CallOverrides): Promise<[BigNumber]>;
        lastRequestId(overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    calculateRequestPrice(_callbackGasLimit: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    estimateRequestPrice(_callbackGasLimit: BigNumberish, _requestGasPriceWei: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
    lastRequestId(overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        calculateRequestPrice(_callbackGasLimit: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        estimateRequestPrice(_callbackGasLimit: BigNumberish, _requestGasPriceWei: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        lastRequestId(overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {};
    estimateGas: {
        calculateRequestPrice(_callbackGasLimit: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        estimateRequestPrice(_callbackGasLimit: BigNumberish, _requestGasPriceWei: BigNumberish, overrides?: CallOverrides): Promise<BigNumber>;
        lastRequestId(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        calculateRequestPrice(_callbackGasLimit: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        estimateRequestPrice(_callbackGasLimit: BigNumberish, _requestGasPriceWei: BigNumberish, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastRequestId(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=VRFV2WrapperInterface.d.ts.map