import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PlatformFeeInit, PlatformFeeInitInterface } from "../PlatformFeeInit.js";
type PlatformFeeInitConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class PlatformFeeInit__factory extends ContractFactory {
    constructor(...args: PlatformFeeInitConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<PlatformFeeInit>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): PlatformFeeInit;
    connect(signer: Signer): PlatformFeeInit__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea264697066735822122046c9577aedeece6be8cc7847126896a61f0e6cf89fee44842bec6b87fda62d6264736f6c63430008170033";
    static readonly abi: {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
    }[];
    static createInterface(): PlatformFeeInitInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): PlatformFeeInit;
}
export {};
//# sourceMappingURL=PlatformFeeInit__factory.d.ts.map